<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Listdomer
 */
get_header();
?>
<div id="content" class="site-content container">
	<div class="row">
		<div class="col-lg-12">
			<main role="main">

				<section class="error-404 not-found">
					
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/img/404.png" alt="<?php esc_attr_e('Not Found Page', 'listdomer'); ?>" />
					
					<header role="banner" class="page-header">
						<h1 class="page-title"><?php esc_html_e("Oops! Error 404. We Can't seem to find the page you're lookin for.", 'listdomer'); ?></h1>
					</header>

					<div class="page-content">
						<a href="<?php echo esc_url(home_url()); ?>">
							<?php esc_html_e('Go to Home', 'listdomer'); ?>
						</a>
					</div>
					
				</section>

			</main>
		</div>
	</div>
</div>
<?php
get_footer();